For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all events
        • GETGet an event by ID
        • GETGet all event types
        • GETGet event type by ID
        • POSTCreate Applicant Event: Realpage
        • POSTCreate Lead Event: Realpage
        • POSTCreate Resident Event: Realpage
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
RealPage Registered VendorEvents

Create Lead Event: Realpage

POST
/v1/events/leads/realpage/
POST
/v1/events/leads/realpage/
$curl -X POST https://api.propexo.com/v1/events/leads/realpage/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
> "lead_id": "lead_1234567890abcdef",
> "event_name": "E-mail"
>}'
1{
2 "meta": {
3 "job_id": "job_20240615_abcdef123456"
4 },
5 "result": {
6 "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
7 "lead_id": "lead_1234567890abcdef",
8 "event_name": "E-mail",
9 "event_datetime": "2024-06-15T10:30:00Z",
10 "notes": "Initial contact email sent to lead regarding property inquiry."
11 }
12}
Create Lead Event: Realpage | Interface | Method | |---|---| | Prospect Management ODE | InsertActivity | <Note title="Notice">This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.</Note>
Was this page helpful?
Previous

Create Resident Event: Realpage

Next
Built with

Create Lead Event: Realpage

InterfaceMethod
Prospect Management ODEInsertActivity
Notice
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
lead_idstringRequired
The Propexo unique identifier for the lead
event_nameenumRequired
The name of the event in the PMS. These are specific to the PMS.
event_datetimestring or nullOptional
The datetime that the event occured.
notesstringOptional
Notes to associate with the event.

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error